Skip to main content
GET
/
v3
/
accounts
/
{accountId}
Get account by ID
curl --request GET \
  --url https://api.snappy.com/public-api/v3/accounts/{accountId} \
  --header 'X-Api-Key: <api-key>'
{
  "data": {
    "id": "a12bcd34",
    "name": "Snappy",
    "createdAt": "2022-12-06T09:50:38.536Z",
    "updatedAt": "2022-12-06T09:50:38.536Z",
    "companyId": "A1b2C3d4"
  }
}

Authorizations

X-Api-Key
string
header
required

Company Level Authentication

Include your API key in the X-Api-Key header for every request:

X-Api-Key: YOUR_API_KEY

Headers

snappy-account-id
string

Optional account identifier for swag validation/filtering.

Example:

"acc123456"

snappy-company-id
string

Optional company identifier for swag validation/filtering.

Example:

"cmp123456"

Path Parameters

accountId
string
required

The id of the account.

Pattern: ^[A-Za-z0-9]+$
Example:

"xyz12345"

Response

Account details.

JSON:API single-resource envelope for an account.

data
object
required

Account object.

Last modified on June 17, 2026